version: '3.1'

services:

  postgres:
    image: postgres:alpine
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
    ports:
      - 5432:5432
    healthcheck:
      test: ["CMD", "pg_isready", "-q", "-U", "postgres"]
      interval: 10s
      timeout: 5s
      retries: 7

  flyway:
    image: flyway/flyway:7.14-alpine
    command: -url=jdbc:postgresql://postgres:5432/postgres -user=postgres -password=postgres migrate
    volumes:
      - ../flyway:/flyway/sql
    depends_on:
      postgres:
        condition: service_healthy

  graphql-engine:
    image: fedormelexin/graphql-engine-arm64
#    image: hasura/graphql-engine:latest.cli-migrations-v3
    ports:
      - "8082:8080"
    depends_on:
      postgres:
        condition: service_healthy
    volumes:
      - ../hasura-migrations/metadata:/hasura-metadata
      - ../hasura-migrations/migrations:/hasura-migrations
    environment:
      HASURA_GRAPHQL_DATABASE_URL: postgres://postgres:postgres@postgres:5432/postgres
      HASURA_GRAPHQL_METADATA_DATABASE_URL: postgres://postgres:postgres@postgres:5432/postgres
      HASURA_GRAPHQL_ENABLE_CONSOLE: "true" # set to "false" to disable console
      HASURA_GRAPHQL_DEV_MODE: "true"
      HASURA_GRAPHQL_ENABLED_LOG_TYPES: startup, http-log, webhook-log, websocket-log, query-log
      HASURA_GRAPHQL_ADMIN_SECRET: blah
      HASURA_GRAPHQL_JWT_SECRET: '{ "type":"RS256", "jwk_url": "https://www.googleapis.com/service_accounts/v1/jwk/securetoken@system.gserviceaccount.com", "audience": "devfood-test", "issuer": "https://securetoken.google.com/devfood-test" }'
